VERSION 5.00
Begin VB.Form frmAddIbfsTbl 
   Caption         =   "Add IBFS Tables to MFF Database Shell (AddIbfsTbl)"
   ClientHeight    =   2400
   ClientLeft      =   2175
   ClientTop       =   2580
   ClientWidth     =   6600
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2400
   ScaleWidth      =   6600
   Begin VB.Frame fraAction 
      Caption         =   "Action: "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   735
      Left            =   120
      TabIndex        =   3
      Top             =   1320
      Width           =   3135
      Begin VB.Label lblAction 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H000000FF&
         Height          =   375
         Left            =   240
         TabIndex        =   4
         Top             =   240
         Width           =   2655
      End
   End
   Begin VB.Frame fraTableName 
      Caption         =   "Table Name: "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   735
      Left            =   3360
      TabIndex        =   2
      Top             =   1320
      Width           =   3135
      Begin VB.Label lblTableName 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H000000FF&
         Height          =   375
         Left            =   240
         TabIndex        =   5
         Top             =   240
         Width           =   2655
      End
   End
   Begin VB.Frame fraDBName 
      BackColor       =   &H00C0C0C0&
      Caption         =   "Data Base Name:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   6375
      Begin VB.Label lblDataBaseName 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H000000FF&
         Height          =   255
         Left            =   240
         TabIndex        =   1
         Top             =   360
         Width           =   5895
      End
   End
End
Attribute VB_Name = "frmAddIbfsTbl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'  Workspace object
Dim wsJet As Workspace

'  Database object
Dim dbNew As Database
Dim dbJet As Database

'  Table object
Dim TblNew As TableDef
Dim tblExisting As TableDef

'  Field object
Dim FldNew As Field

'  Index object
Dim idxNew1 As Index
Dim idxNew2 As Index
Dim idxNew3 As Index
Dim idxNew4 As Index

Private Sub Form_Load()

    '  Mod:  2003.06.13

    Me.Left = (Screen.Width - Me.Width) / 2
    Me.Top = (Screen.Height - Me.Height) / 2

    frmStatus.lblStatus.Caption = "Building the Data Base structure !"
    frmAddIbfsTbl.Show
    lblDataBaseName.Caption = ""
    lblTableName.Caption = ""
    lblAction.Caption = ""

    '  Open Workspace
    Set wsJet = DBEngine.Workspaces(0)
    
    '  Create Datebase
    'set dbJet = wsJet.CreateDatabase(gtOutputPathAndFilename, dbLangGeneral)
    'dbJet.Close
    
    '  Open database
    Set dbJet = wsJet.OpenDatabase(gtOutputPathAndFilename)
    '
    lblDataBaseName.Caption = (gtOutputPathAndFilename)
    lblTableName.Caption = ""
    lblAction.Caption = ""
        
    '  ==>  IBFS related tables  <==
    Call CreateAddressTable
    Call CreateAntennaTable
    Call CreateAntennaConditionTable
    Call CreateAntennaFxTable
    Call CreateAntennaGainTable
    Call CreateAntennaTypeCodeTable
    Call CreateAzimuthTable
    Call CreateClassOfStationCode
    Call CreateConditionTable
    Call CreateContactTable
    Call CreateEarthStationStaTable
    Call CreateForm312Table
    Call CreateFreqCondTable
    Call CreateFreqCoordTable
    Call CreateFreqFxTable
    Call CreateFrequencyTable
    Call CreateFxTable
    Call CreateLicenseeHistoryTable
    Call CreateLicenseConditionTable
    Call CreateMainTable
    Call CreateNatureOfServiceTable
    Call CreateNatureOfServiceCodeTable
    Call CreatePolarizationCodeTable
    Call CreatePtCommTable
    Call CreatePtCommFxTable
    Call CreatePurposeTable
    Call CreateSection214Table
    Call CreateSiteConditionTable
    Call CreateSiteTable
    Call CreateSpaceStationTable
    Call CreateSpaceStationStaTable
    Call CreateStatusCodeTable
    Call CreateTransmitterTable
    
    Call CreateFrequencyBandTable
    Call CreateIntlAlocFrequencyTable
    Call CreateFrequencySatTable
    
    dbJet.Close
    Set dbJet = Nothing
    wsJet.Close
    Set wsJet = Nothing
    '
    lblDataBaseName.Caption = ""
    lblTableName.Caption = ""
    lblAction.Caption = ""
    frmAddIbfsTbl.Hide
    frmStatus.lblStatus.Caption = ""
    DoEvents

End Sub    '  Form_Load

Private Sub CreateMainTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Main Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsMain")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FilingState", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CallSign", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumber", dbText, 19)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SubsystemCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StatusCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StatusDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LastAction", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LastActionDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MtsNumber", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateFiled", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MellonDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateGrant", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateDeny", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateDismiss", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateSurrender", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateBegin", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateExpire", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateLastUpdate", dbText, 18)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AffPubNoticeSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AffPubNoticeDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ActPubNoticeSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ActPubNoticeDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SubmissionId", dbText, 12)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FeeControlNumber", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AppTypeCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FilingOtherTxt", dbMemo)    '  40
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("KeyWord1", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("KeyWord2", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerClearedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateBlocked", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("BlockedReasonCode", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("BlockedReason", dbMemo)    '  ~~
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TypeApplicantCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ApplicantOtherText", dbMemo)    '  40
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ClassOfStationCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ClassOtherText", dbMemo)    '  40
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SignerName", dbMemo)    '  50
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SignerTitle", dbMemo)    '  50
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateSigned", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Description", dbMemo)    '  ~~
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AddressKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AddressAttention", dbMemo)    '  80
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AddressPhoneNum", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AddressFaxNum", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AddressEMail", dbMemo)    '  40
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContactKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContactAttention", dbMemo)    '80
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContactRelationship", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContactPhoneNum", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContactFaxNum", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContactEMail", dbMemo)    '  40
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OtherPurposeText", dbMemo)    '  40
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StreamlinedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateTransferred", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Confidential", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("DateQueued", dbText, 8)    '  Datetime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateWithdrew", dbText, 8)    '  Datetime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("QueueFlag", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FilingId", dbText, 12)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateCreated", dbText, 8)    '  Datetime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InitiatorId", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PublicPnNoteKey", dbLong)    '  Int
        'FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FeeExemptSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FeeExemptReason", dbMemo)    '  Varchar(255)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RemittanceId", dbLong)    '  Int
        'FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NextStep", dbMemo)    '  Varchar(40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ReleasedBy", dbText, 1)   '  Char (1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateReleased", dbText, 8)   '  DateTime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateAdopted", dbText, 8)   '  DateTime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OrderDaNumber", dbText, 12)   '  Char (12)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew


    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxCallSign")
        idxNew2.Fields = "CallSign"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxAddressKey")
        idxNew3.Fields = "AddressKey"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxContactKey")
        idxNew4.Fields = "ContactKey"
        TblNew.Indexes.Append idxNew4
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateMainTable

Private Sub CreateFrequencyTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Frequency Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsFrequency")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FrequencyKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PolarizationCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Eirp", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EirpDensity", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Emission", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyLower", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyUpper", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TransMode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TransModeFix", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Modulation", dbMemo)    '  varchar(60)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyLowerDisplay", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyUpperDisplay", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UnitOfMeasure", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFrequencyKey")
        idxNew1.Fields = "FrequencyKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateFrequencyTable

Sub CreateFreqCoordTable()
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Frequency Coordination Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsFreqCoord")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("CoordKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AzimuthEast", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AzimuthWest", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ElevationEast", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ElevationWest", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqLimitLow", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqLimitHigh", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HorizMaxDensity", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatArcEast", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatArcWest", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatHemiEast", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatHemiWest", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatOrbitType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TransMode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxCoordKey")
        idxNew1.Fields = "CoordKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub

Sub CreateFreqFxTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Frequency FX Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsFrequencyFx")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FrequencyKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PolarizationCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Eirp", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Emission", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyLower", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyUpper", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TransMode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFrequencyKey")
        idxNew1.Fields = "FrequencyKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxSiteKey")
        idxNew2.Fields = "SiteKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents


End Sub    '  CreateFreqFxTable

Sub CreateFxTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "FX Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsFx")

    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FilenumRefer", dbText, 19)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FilenumReferDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("IracStatus", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerStatus", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CpExpireDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ProximitySw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NepaMajorActionSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RadiationHazardReportSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CitizenSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PartnersCitizenSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CorpStateCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AlienOwnershipSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AlienControlSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AlienOfficer4cSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AlienOfficer4fSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CorporateControlSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SubsidiarySw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AssociationNoMembers", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AssociationNoAlienMembers", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrincipalBusiness", dbMemo)    '  vchar(50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AmFmTvInterestSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ForeignRepSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RevokedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DeniedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FelonySw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MonopolySw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AssetsSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CapitalAssuranceSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateFxTable

Private Sub CreateSiteTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsSite")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("SiteKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteId", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteDescription", dbMemo)     '  255
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContactPerson", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteStreet1", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteStreet2", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteCounty", dbText, 22)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteZipcode", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTelephone", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteElevation", dbText, 6)   '  float
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NadInd", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NumVsatsBuilt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("VsatReportDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FaaCoordSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Comply25209aSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Comply25209a2Sw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RemoteControlSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ForeignFreqCoordReqSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqCoordReqSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AreaOfOperationCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FaaCoordNotReqSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Comply25211Sw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

        Set FldNew = TblNew.CreateField("TowerSiteKey", dbText, 20)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("TowerFlag", dbText, 1)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxSiteKey")
        idxNew1.Fields = "SiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFilingKey")
        idxNew2.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSiteTable

Private Sub CreateAntennaTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Antenna Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsAntenna")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("AntennaKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaId", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Diameter", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DiameterMinor", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DiameterMajor", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HeightBldgAgl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HeightMaxAgl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HeightMaxAmsl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HeightMaxARoof", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Manufacturer", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MaxInputPower", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MaxOutputEirp", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Model", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Quantity", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerId", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerClearedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

        Set FldNew = TblNew.CreateField("TowerSiteKey", dbText, 20)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("TowerFlag", dbText, 1)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxAntennaKey")
        idxNew1.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxSiteKey")
        idxNew2.Fields = "SiteKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAntennaTable

Sub CreateAntennaFxTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Antenna FX Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsAntennaFx")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("AntennaKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaId", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Gain1", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Gain2", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Frequency1", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Frequency2", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PolarizationCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyLower", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyUpper", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HeightMaxAmsl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HeightMaxAgl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Elevation", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Manufacturer", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Model", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Quantity", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerId", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Beamwidth", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("RotatableSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TakeOffAngle", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SlewableSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SlewAmt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TargetZone", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaTypeCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaPattern", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SchematicSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OperationDesc", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerClearedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxAntennaKey")
        idxNew1.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxSiteKey")
        idxNew2.Fields = "SiteKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub

Private Sub CreateAntennaGainTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Antenna Gain Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsAntennaGain")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("GainKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Gain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Frequency", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TransMode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxGainKey")
        idxNew1.Fields = "GainKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew1 = TblNew.CreateIndex("idxAntennaKey")
        idxNew1.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAntennaGainTable

Sub CreateAntennaTypeCodeTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Antenna Type Code Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsAntTypCod")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("AntennaTypeCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Description", dbMemo)    '  vchar(50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InactiveDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxAntennaTypeCode")
        idxNew1.Fields = "AntennaTypeCode"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAntennaTypeCodeTable

Private Sub CreateAddressTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Address Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsAddress")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("AddressKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AddressId", dbText, 12)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AddressName", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DbaName", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Street1", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Street2", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StateCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ZipCode", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CountryCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Soundex", dbText, 12)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DbaSoundex", dbText, 12)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Frn", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Redlight", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxAddressKey")
        idxNew1.Fields = "AddressKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFrn")
        idxNew2.Fields = "Frn"
        TblNew.Indexes.Append idxNew2

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAddressTable

Private Sub CreateContactTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Contact Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsContact")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ContactKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContactId", dbText, 12)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ContactName", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Title", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CompanyName", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Street1", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Street2", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StateCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ZipCode", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CountryCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Constraint", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Frn", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxContactKey")
        idxNew1.Fields = "ContactKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateContactTable

Sub CreateStatusCodeTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "StatusCode Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsStatusCode")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("StatusCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StatusText", dbMemo)    ' vchar(40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InternalSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InactiveDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxStatusCode")
        idxNew1.Fields = "StatusCode"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateStatusCodeTable

Sub CreateTransmitterTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Transmitter Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsTransmitter")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("TransmitterKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TransmitterDescription", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Quanity", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Manufacturer", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Model", dbText, 10)    '  255
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SerialNum", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EmissionType", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Power", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Tolerance", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxTransmitterKey")
        idxNew1.Fields = "TransmitterKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxSiteKey")
        idxNew2.Fields = "SiteKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateTransmitteerTable

Sub CreateSpaceStationTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "SpaceStation Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsSpaceStation")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("SpaceStationKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UsName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ItuName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OrbitLocation", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Verbose", dbMemo)     '  255
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InactiveDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LongHemi", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxSpaceStationKey")
        idxNew1.Fields = "SpaceStationKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSpaceStationTable

Sub CreateSpaceStationStaTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "SpaceStationSta Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsSpaceStationSta")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TypeStaCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RequestedDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RequestedLocation", dbMemo)    ' vchar(40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSpaceStationStaTable

Sub CreateNatureOfServiceTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Nature Of Servie Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsNatureOfService")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NatureOfServiceCode", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxNatureOfServiceCode")
        idxNew2.Fields = "NatureOfServiceCode"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateNatureOfServiceTable

Sub CreateNatureOfServiceCodeTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Nature Of Service Code Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsNatureOfServiceCode")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("NatureOfServiceCode", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Description", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InactiveDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RadSvcCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxNatureOfServiceCode")
        idxNew1.Fields = "NatureOfServiceCode"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxRadSvcCode")
        idxNew2.Fields = "RadSvcCode"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateNatureOfServiceCodeTable

Sub CreatePolarizationCodeTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "PolarizationCode Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsPolarCode")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PolarizationCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PolarizationType", dbText, 28)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InactiveDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPolarizationCode")
        idxNew1.Fields = "PolarizationCode"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreatePolarizationCodeTable

Sub CreatePtCommTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "PtComm Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsPtComm")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PtCommKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpaceStationKey", dbLong)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPtcommKey")
        idxNew1.Fields = "PtcommKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxSiteKey")
        idxNew2.Fields = "SiteKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxSpaceStationKey")
        idxNew3.Fields = "SpaceStationKey"
        TblNew.Indexes.Append idxNew3

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreatePtCommTable

Sub CreatePtCommFxTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "PtCommFx Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsPtCommFx")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PtCommKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Location", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Distance", dbLong)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPtCommKey")
        idxNew1.Fields = "PtCommKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxSiteKey")
        idxNew2.Fields = "SiteKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreatePtCommFxTable

Sub CreatePurposeTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Purpose Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsPurpose")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PurposeCode", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents


End Sub    '  CreatePurposeTable

Sub CreateEarthStationStaTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "EarthStationSta Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsEarthStationSta")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TypeStaCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RequestedDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbMemo)    '  vchar(40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StateCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatDeg", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatMin", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatSec", dbSingle)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatHemi", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDeg", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonMin", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonSec", dbSingle)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonHemi", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

        Set FldNew = TblNew.CreateField("TowerSiteKey", dbText, 20)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("TowerFlag", dbText, 1)
            FldNew.AllowZeroLength = True
            TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateEarthStationSta

Sub CreateForm312Table()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Form312 Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsForm312")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumRef", dbText, 19)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FileNumDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RequiredConstructionDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CompletedConstructionDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("BlanketCallSignSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CommonCarrierSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("USSatSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NonUSSatSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TypeOfFacility", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EnvironEffectSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ForeignGovtRepSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AlienApplicantSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ForeignCorpSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AlienOfficerSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ForeignControlSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("WaiversReqSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RevokedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FelonySw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MonopolySw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PublicSwitchSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PendActionSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DrugAbuseSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NatureOfServiceOtherText", dbMemo)    '  char(40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatCommonName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OrbitLocation", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NonUSLicSatSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Administration", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("OperationStartDate", dbText, 8)    '  datetime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("OrbitLocationAssigned", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateLaunched", dbText, 8)    '  datetime
        FldNew.AllowZeroLength = True
    Set FldNew = TblNew.CreateField("CallsignReplaced", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LongHemi", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LongHemiAssigned", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ClassOfSatStation", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Form312EzSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ForeignDirIndirControlSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FixedEarthStationSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RadHazIncludedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DenialOfBenefitsSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew2 = TblNew.CreateIndex("idx")
    '    idxNew2.Fields = ""
    '    TblNew.Indexes.Append idxNew2
    'Set idxNew3 = TblNew.CreateIndex("idx")
    '    idxNew3.Fields = ""
    '    TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateForm312Table

Sub CreateSection214Table_org()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Section214 Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsSection214")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DaNumber", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Section214ServiceCode", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpaceStationKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PlaceOfIncorp", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CountryCode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StreamlinedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AlienApplicantSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MultAlienApplicantSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DrugAbuseSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew2 = TblNew.CreateIndex("idx")
    '    idxNew2.Fields = ""
    '    TblNew.Indexes.Append idxNew2
    'Set idxNew3 = TblNew.CreateIndex("idx")
    '    idxNew3.Fields = ""
    '    TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSection214Table_org

Sub CreateSection214Table()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Section214 Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsSection214")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DaNumber", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PlaceOfIncorp", dbMemo)    '  Varchar(100)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Destination", dbMemo)    '  Varchar(255)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StreamlinedRequestSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StreamlinedSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AlienApplicantSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MultAlienApplicantSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DrugAbuseSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpecialConcessionsSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CommonCarrierSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TenGreaterFo", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InterlockingDirectorates", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ForeignCarrierCountry", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("NonDominant", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DominantCarrierSafeguardsSw", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CosumateCert", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ProFormaCert", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ScheduledConsumateDate", dbText, 8)    '  Datetime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("GoodFaithCert", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateBocInitiated", dbText, 8)    '  Datetime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateBocFiled", dbText, 8)    '  Datetime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CiteGranting271", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Date271Granted", dbText, 8)    '  Datetime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FalseField", dbText, 8)    '  Datetime
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("BocStateCode", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TrafficReporting", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew2 = TblNew.CreateIndex("idx")
    '    idxNew2.Fields = ""
    '    TblNew.Indexes.Append idxNew2
    'Set idxNew3 = TblNew.CreateIndex("idx")
    '    idxNew3.Fields = ""
    '    TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSection214Table

Sub CreateAzimuthTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Azimuth Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsAzimuth")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("AzimuthKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Azimuth", dbSingle)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxAzimuthKey")
        idxNew1.Fields = "AzimuthKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAzimuthTable

Sub CreateClassOfStationCode()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Class Of Station Code Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsClassOfStationCode")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ClassOfStationCode", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Description", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InactiveDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxClassOfStationCode")
        idxNew1.Fields = "ClassOfStationCode"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateClassOfStationCode

Sub CreateConditionTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Condition Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsCondition")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ConditionCode", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Subsystemcode", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ConditionText", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ConditionNote", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxConditionCode")
        idxNew1.Fields = "ConditionCode"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateConditionTable

Sub CreateAntennaConditionTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Antenna Condition Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsAntennaCondition")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ConditionKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ConditionCode", dbLong)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxConditionKey")
        idxNew1.Fields = "ConditionCode"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAntennaConditionTable

Sub CreateFreqCondTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Frequency Condition Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsFrequencyCondition")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ConditionKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ConditionCode", dbLong)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxConditionKey")
        idxNew1.Fields = "ConditionCode"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFrequencyKey")
        idxNew2.Fields = "ConditionCode"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateFreqCondTable

Sub CreateLicenseConditionTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "License Condition Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsLicenseCondition")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ConditionKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ConditionCode", dbLong)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxConditionKey")
        idxNew1.Fields = "ConditionCode"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFilingKey")
        idxNew2.Fields = "ConditionCode"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateLicenseConditionTable

Sub CreateSiteConditionTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Condition Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsSiteCondition")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ConditionKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ConditionCode", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteKey", dbLong)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxConditionKey")
        idxNew1.Fields = "ConditionCode"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxSiteKey")
        idxNew2.Fields = "ConditionCode"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSiteConditionTable

Sub CreateFrequencyBandTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Frequency Band Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsFrequencyBand")

    '  Create Fields
    Set FldNew = TblNew.CreateField("FreqId", dbLong)    'numeric(18,0)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyLower", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyUpper", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("BandName", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DownlinkFrequencyLower", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DownlinkFrequencyUpper", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UplinkFrequencyLower", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UplinkFrequencyUpper", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RuleCiting", dbText, 25)    '   Varchar(255)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFreqId")
        idxNew1.Fields = "FreqId"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFrequencyLower")
        idxNew2.Fields = "FrequencyLower"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxFrequencyUpper")
        idxNew3.Fields = "FrequencyUpper"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateFrequencyBandTable

Sub CreateIntlAlocFrequencyTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Intl Aloc Frequency Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsIntlAlocFrequency")

    '  Create Fields
    Set FldNew = TblNew.CreateField("Id", dbLong)    '  numeric(18,0)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyLower", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyUpper", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxId")
        idxNew1.Fields = "Id"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFrequencyLower")
        idxNew2.Fields = "FrequencyLower"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxFrequencyUpper")
        idxNew3.Fields = "FrequencyUpper"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateIntlAlocFrequencyTable

Sub CreateFrequencySatTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Frequency Sat Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsFrequencySat")

    '  Create Fields
    Set FldNew = TblNew.CreateField("FrequencyKey", dbLong)    '  int
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)    '  int
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyLower", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrequencyUpper", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TransMode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFrequencyKey")
        idxNew1.Fields = "FrequencyKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFilingKey")
        idxNew2.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxFrequencyLower")
        idxNew3.Fields = "FrequencyLower"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxFrequencyUpper")
        idxNew4.Fields = "FrequencyUpper"
        TblNew.Indexes.Append idxNew4
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateFrequencySatTable

Sub CreateLicenseeHistoryTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Licensee History Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("IbfsLicenseeHistory")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AssignFilingKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicenseeKey", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicenseeAttention", dbText, 80)    '  VarChar(80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicenseePhoneNum", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicenseeFaxNum", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicenseeEMail", dbText, 40)    '  varchar(40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFilingKey")
        idxNew1.Fields = "FilingKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAssignFilingKey")
        idxNew2.Fields = "AssignFilingKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLicenseeKey")
        idxNew3.Fields = "LicenseeKey"
        TblNew.Indexes.Append idxNew3

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '




