VERSION 5.00
Begin VB.Form frmCnvIbfs 
   Caption         =   "CnvIbfs"
   ClientHeight    =   4860
   ClientLeft      =   225
   ClientTop       =   855
   ClientWidth     =   7080
   LinkTopic       =   "Form1"
   ScaleHeight     =   4860
   ScaleWidth      =   7080
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame fraVersionDate 
      Caption         =   "Version Date:  "
      ForeColor       =   &H00FF0000&
      Height          =   615
      Left            =   1080
      TabIndex        =   4
      Top             =   3600
      Width           =   1815
      Begin VB.Label lblVersionDate 
         ForeColor       =   &H000000FF&
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   240
         Width           =   1575
      End
   End
   Begin VB.CommandButton cmdConvert 
      Caption         =   "Initilize Database and Process Raw Data ..."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   735
      Left            =   1320
      TabIndex        =   1
      Top             =   1560
      Width           =   4455
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   375
      Left            =   5640
      TabIndex        =   0
      Top             =   3720
      Width           =   1095
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Center
      Caption         =   "lblStatus"
      Height          =   495
      Left            =   1440
      TabIndex        =   3
      Top             =   2760
      Width           =   4215
   End
   Begin VB.Label Label7 
      Alignment       =   2  'Center
      Caption         =   "Convert International Bureaus Filing System exported data sets (CnvIbfs)"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   240
      Width           =   6615
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuSetup 
      Caption         =   "&Setup"
      Begin VB.Menu mnuSetupModFileLoc 
         Caption         =   "Modify File Location"
      End
      Begin VB.Menu mnuSetupBlank1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuSetupAntSiteFiles 
         Caption         =   "Ant Site Files"
      End
      Begin VB.Menu mnuSetupBlank2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuSetupExpFreq 
         Caption         =   "Expand Frequency Entries"
         Begin VB.Menu mnuSetupExpFreqYN 
            Caption         =   "Yes"
            Checked         =   -1  'True
            Index           =   0
         End
         Begin VB.Menu mnuSetupExpFreqYN 
            Caption         =   "No"
            Index           =   1
         End
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpObtain 
         Caption         =   "Obtaining Help"
      End
      Begin VB.Menu mnuHelpBlank1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "About  ...."
      End
   End
End
Attribute VB_Name = "frmCnvIbfs"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdConvert_Click()
    
    'On Error Resume Next

    'GoTo PointX

    frmStatus.lblStatus.Caption = "Initilizing the data base !"
    DoEvents
    Unload frmMkMffDbS
    Unload frmAddIbfsTbl
    DoEvents
    gtMsg = "If you select YES, all data in this data base will be lost !" & vbCrLf & vbCrLf
    gtMsg = gtMsg & "Do you wish to initilize this file and convert the data ?"
    giMsgResponse = MsgBox(gtMsg, (vbYesNo + vbCritical + vbDefaultButton2 + vbApplicationModal), ("Initilize " & Trim(gtOutputPathAndFilename) & " ?"))
    If (giMsgResponse = vbYes) Then
        frmCnvIbfs.lblStatus.Caption = "Converting the data set!"
        Me.Refresh

        frmMkMffDbS.Show
        DoEvents
        If (frmMkMffDbS.Visible = True) Then
            frmMkMffDbS.Hide
            DoEvents
        End If
        
        frmAddIbfsTbl.Show
        DoEvents
        If (frmAddIbfsTbl.Visible = True) Then
            frmAddIbfsTbl.Hide
            DoEvents
        End If
        
        'giBadDataFF = FreeFile     '  Get next available file number
        'Open (gtInputFilePath & "baddata.dat") For Output As giBadDataFF
        'Close (giBadDataFF)

        frmStatus.lblStatus.Caption = "FINISHED initilizing the data base !"
        DoEvents

PointX:
        
        cmdConvert.Visible = False
        Me.Refresh
        
        Call Main
        
        cmdConvert.Visible = True
        frmCnvIbfs.lblStatus.Caption = "FINISHED converting the data set!"
        Me.Refresh
        
    Else
        gtMsg = "Convertion of this data base has been aborted !"
        MsgBox gtMsg, (vbInformation), ("Initilize " & Trim(gtOutputPathAndFilename) & " ?")
        Refresh
    End If

End Sub

Private Sub cmdExit_Click()
    
    gtMsg = "Do you wish to Exit the program ?"
    giResponse = MsgBox(gtMsg, (vbYesNoCancel + vbCritical + vbDefaultButton3 + vbApplicationModal))
    
    Select Case giResponse
        Case Is = 6   'vbYes
            'MsgBox "Yes"
            End
        Case Is = 7   'vbNo
            MsgBox "No"
        Case Is = 2   'vbCancel
            MsgBox "Cancel"
    End Select

End Sub


Private Sub Form_Load()

    lblVersionDate.Caption = "2013.02.25 (O)"

    frmCnvIbfs.Hide
    lblStatus.Caption = ""
    Me.Refresh

    Me.Left = (Screen.Width - Me.Width) / 2
    Me.Top = (Screen.Height - Me.Height) / 2
    
    Me.Show

    frmStatus.fraFileSize.Visible = False
    frmStatus.fraAmtProcessed.Visible = False
    frmStatus.lblDateTimeStart.Caption = ""
    frmStatus.lblTotalRecords.Caption = ""
    frmStatus.lblRecordCount.Caption = ""
    frmStatus.lblPercentCompleted.Caption = ""
    frmStatus.lblStatus.Caption = ""
    frmStatus.lblStepCurrent.Caption = ""
    frmStatus.lblStepTotal.Caption = ""
    frmStatus.ProgressBar1.Value = gsTemp
    frmStatus.Refresh

    frmCnvIbfs.lblStatus.Caption = ""
    frmCnvIbfs.Refresh
    
    'On Error Resume Next

    If (App.PrevInstance) Then
        gtMsg = App.EXEName & " already running"
        MsgBox gtMsg, 48
    End If

    gtPath2App = LCase(Trim(App.Path))
    If (Right(gtPath2App, 1) <> "\") Then
        gtPath2App = gtPath2App & "\"
    End If
    
    gtIniFileName = LCase(gtPath2App & "cnvibfs.ini")
    
    'frmCnvIbfs.cmdMain.Visible = True
    
    giProcessAction = 0
    frmCnvIbfs.Refresh

    '  Test to see if program "ini" file is present
    If (LCase(Dir(gtIniFileName)) = "cnvibfs.ini") Then
        'gtMsg = "INI file FOUND !"
        'MsgBox gtMsg, , "Loading CnvIbfs !"
        'frmCnvIbfs.Refresh
        GoTo FoundINI    '  INI file exists
    Else
        'gtMsg = "INI file not found, creating !"
        'MsgBox gtMsg, , "Loading CnvIbfs !"
        'frmCnvIbfs.Refresh
        Call CreateAppIniFile
    End If

FoundINI:

    frmCnvIbfs.Show
    Call GetIniInfo

End Sub    '  Form_Load

Private Sub mnuFileExit_Click()
    End
End Sub

Private Sub mnuHelpAbout_Click()
    frmAbout.Show
End Sub

Private Sub mnuSetupAntSiteFiles_Click()

    Call GetIniInfo
    frmAntSiteFiles.Show

End Sub

Private Sub mnuSetupExpFreqYN_Click(Index As Integer)
    Select Case Index
        Case 0    '  Yes, expand frequency ranges
            mnuSetupExpFreqYN(0).Checked = True
            mnuSetupExpFreqYN(1).Checked = False
            giFreqRangeFlag = 1
        Case 1    '  No, do not expand frequency ranges
            mnuSetupExpFreqYN(0).Checked = False
            mnuSetupExpFreqYN(1).Checked = True
            giFreqRangeFlag = 0
    End Select

End Sub


Private Sub mnuSetupModFileLoc_Click()
    Call GetIniInfo
    frmModFileLoc.lblInputDataTableMain.Caption = gtInputDataTableMain
    gtDialogTitleInput = "Select the IBFS 'Main' table from IBFS data set!"
    gtDialogTitleOutput = "Select a name for the IBFS assignment database!"
    frmModFileLoc.Show
End Sub    '  mnuSetupModFileLoc

Private Sub CreateAppIniFile()
    
    '  If the program upon loading does not find the "CnvIbfs.ini" file in
    '  the application directory, one is created and filed with the following
    '  default values.

    'gtIniFileName = gtAppIniFileName
    gtSection = "InputFiles"
        gtItemName = "TableMain"
        gtItemValue = gtPath2App & "main.dat"
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)
    
    gtSection = "OutputFiles"
        gtItemName = "OutputPathAndFilename"
        gtItemValue = gtPath2App & "ibfsdb.mdb"
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

    gtSection = "TempFiles"
        gtItemName = "CompactMdbFile"
        gtItemValue = gtPath2App & "compact.mdb"
        glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

    gtSection = "Ant Site"
        gtItemName = "AntSite_A"
            gtItemValue = gtTwrLocMdbFileA
            glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)
        gtItemName = "AntSite_B"
            gtItemValue = gtTwrLocMdbFileB
            glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)
        gtItemName = "AntSite_C"
            gtItemValue = gtTwrLocMdbFileC
            glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)
        gtItemName = "AntSite_D"
            gtItemValue = gtTwrLocMdbFileD
            glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)
        gtItemName = "AntSite_E"
            gtItemValue = gtTwrLocMdbFileE
            glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)
        gtItemName = "AntSiteDb"
            gtItemValue = Trim(gtPath2App & "AntSiteDb.mdb")
            glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

   'MsgBox "in CreateAppIniFile"
   'DoEvents
End Sub    '  CreateAppIniFile

Private Sub GetIniInfo()
    
    '  Get file location information from  "CnvIbfs.ini"
    
    'gtIniFileName = gtAppIniFileName

    gtSection = "InputFiles"
        gtItemName = "TableMain"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtInputDataTableMain = gtBuffer
        giPos = InStr(1, gtInputDataTableMain, "main.dat", 1)
        gtInputDataTableMain = Mid(gtInputDataTableMain, 1, (giPos + 8))
        frmModFileLoc.lblInputDataTableMain.Caption = gtInputDataTableMain
        giPos = InStr(1, gtInputDataTableMain, "main.dat", 1)
        gtInputFilePath = Mid(gtInputDataTableMain, 1, (giPos - 1))

    gtSection = "OutputFiles"
        gtItemName = "OutputPathAndFilename"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        giCharPos = InStr(1, gtBuffer, ".", 1)
        gtOutputPathAndFilename = Trim(gtBuffer)
        gtOutputPathAndFilename = Mid(gtOutputPathAndFilename, 1, (Len(gtOutputPathAndFilename) - 1))
        frmModFileLoc.lblOutputPathAndFilename = gtOutputPathAndFilename


    gtSection = "Ant Site"
        gtItemName = "AntSite_A"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        giCharPos = InStr(1, gtBuffer, ".", 1)
        gtTwrLocMdbFileA = Trim(gtBuffer)
        gtTwrLocMdbFileA = Mid(gtTwrLocMdbFileA, 1, (Len(gtTwrLocMdbFileA) - 1))
        frmAntSiteFiles.lblAntSite_A = gtTwrLocMdbFileA

        gtItemName = "AntSite_B"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        giCharPos = InStr(1, gtBuffer, ".", 1)
        gtTwrLocMdbFileB = Trim(gtBuffer)
        gtTwrLocMdbFileB = Mid(gtTwrLocMdbFileB, 1, (Len(gtTwrLocMdbFileB) - 1))
        frmAntSiteFiles.lblAntSite_B = gtTwrLocMdbFileB
        
        gtItemName = "AntSite_C"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        giCharPos = InStr(1, gtBuffer, ".", 1)
        gtTwrLocMdbFileC = Trim(gtBuffer)
        gtTwrLocMdbFileC = Mid(gtTwrLocMdbFileC, 1, (Len(gtTwrLocMdbFileC) - 1))
        frmAntSiteFiles.lblAntSite_C = gtTwrLocMdbFileC

        gtItemName = "AntSite_D"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        giCharPos = InStr(1, gtBuffer, ".", 1)
        gtTwrLocMdbFileD = Trim(gtBuffer)
        gtTwrLocMdbFileD = Mid(gtTwrLocMdbFileD, 1, (Len(gtTwrLocMdbFileD) - 1))
        frmAntSiteFiles.lblAntSite_D = gtTwrLocMdbFileD

        gtItemName = "AntSite_E"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        giCharPos = InStr(1, gtBuffer, ".", 1)
        gtTwrLocMdbFileE = Trim(gtBuffer)
        gtTwrLocMdbFileE = Mid(gtTwrLocMdbFileE, 1, (Len(gtTwrLocMdbFileE) - 1))
        frmAntSiteFiles.lblAntSite_E = gtTwrLocMdbFileE

        gtItemName = "AntSiteDb"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtAntSiteDb = gtBuffer
        gtAntSiteDb = Mid(gtAntSiteDb, 1, glGetIni)
        frmAntSiteFiles.lblAntSiteDb.Caption = gtAntSiteDb

End Sub    '  GetIniInfo

