Attribute VB_Name = "Global"
Option Explicit


Public wsJet As Workspace
Public dbJet As Database
Public gxCurrentDateTime As Date
Public giActionCounter As Integer

Public Idx As Index
Public glMdbSize As Long

Public rsProcessLog As Recordset
Public rsDataSource As Recordset

Public rsMainTbl As Recordset
Public rsAddressTbl As Recordset
Public rsContactTbl As Recordset
Public rsSiteTbl As Recordset
Public rsAntennaTbl As Recordset
Public rsAntennaFxTbl As Recordset
Public rsAntennaGainTbl As Recordset

Public rsFrequencyTbl As Recordset
Public rsFreqCoordTbl As Recordset
Public rsFrequencyFxTbl As Recordset
Public rsSpaceStationTbl As Recordset
Public rsSpaceStationStaTbl As Recordset
Public rsStatusCodeTbl As Recordset
Public rsPtCommTbl As Recordset
Public rsPtCommFxTbl As Recordset
Public rsPurposeTbl As Recordset
Public rsTransmitterTbl As Recordset
Public rsForm312Tbl As Recordset
Public rsSection214Tbl As Recordset
Public rsFrequencyBand As Recordset
Public rsIntlAlocFrequency As Recordset
Public rsFrequencySat As Recordset
Public rsLisHistTbl As Recordset


Public rsSQL As Recordset, gtSql As String

Public rsLice As Recordset
Public rsFreq As Recordset
Public rsSiteInfo As Recordset
Public rsAntMain As Recordset
Public rsSiteEsCoord As Recordset
Public rsSiteSpace As Recordset
'Public rsSiteInfo As Recordset
'Public rsAntMain As Recordset
'Public rsSiteEsCoord As Recordset
'Public rsSpaceStationData As Recordset
Public rsSpaceStationIndex As Recordset

Public rsIbfsSite As Recordset

Public dbJetAntSite_A As Database
Public rsAntSite_A As Recordset
Public dbJetAntSite_B As Database
Public rsAntSite_B As Recordset
Public dbJetAntSite_C As Database
Public rsAntSite_C As Recordset
Public dbJetAntSite_D As Database
Public rsAntSite_D As Recordset
Public dbJetAntSite_E As Database
Public rsAntSite_E As Recordset

Public dbJetAntSiteDb As Database
Public rsAntSiteInfo As Recordset

Public rsSiteSat As Recordset

Public rsCondition As Recordset
Public rsAntennaCondition As Recordset
Public rsFrequencyCondition As Recordset
Public rsLicenseCondition As Recordset
Public rsSiteCondition As Recordset

Public rsSpcCnd As Recordset
Public rsSpcCndAnt As Recordset
Public rsSpcCndFreq As Recordset
Public rsSpcCndLice As Recordset
Public rsSpcCndSite As Recordset

Public rsMfgModList As Recordset

Public rsNatOfSer As Recordset
Public rsNatOfSerCod As Recordset
Public rsClassOfStaCod As Recordset
Public rsFx As Recordset
Public rsAntTypCod As Recordset

Public rsAzimuth As Recordset
Public rsEarthStationSta As Recordset
Public rsPolarCode As Recordset

'Public rsSiteInfo As Recordset

Public rsPathRecord As Recordset
Public rsAntSiteCallSign As Recordset
Public rsAntSiteOwner As Recordset


Public gtSpecCondAnt As String
Public gtSpecCondFreq As String
Public gtSpecCondLice As String
Public gtSpecCondSite As String

Public giPositionArray(60) As Integer
Public gtInputFileName As String
Public giMaxFldCnt As Integer
Public gtDataArray(60, 10) As String
Public giSegmCnt As Integer
Public glTmpFileCount As Long
Public glRecLen As Long
Public giIDFF As Integer
Public giODFF As Integer
Public giCharPos As Integer
Public gtErrMsg As String
Public gtFilename As String
Public giCallSubFlag As Integer
Public glLengthOfFile As Long
Public gsPercentComplete As Single


' Main
Public giX As Integer
Public giY As Integer
Public giZ As Integer
Public giSequenceKey As Integer
Public gtAction As String
Public gxBeginDateTime As String
Public glBeginSeconds As Long
Public gxFinishDateTime As String
Public glFinishSeconds As Long
Public gtTimeTotal As String
Public glTotalRecords As Long
Public gsTemp As Single, gtTempString As String


Public gtErrorFlag As String
Public giSpecCondFlag As Integer
Public giLicAppFlag As Integer
Public giPocFF As Integer
Public giLiceAppFlag As Integer
Public gtTableName As String
Public glRecCnt As Long, glNumRecs As Long

Public gtInputData As String
Public gtMsg As String
Public gtCompactMsg As String
Public giResponse As Integer
Public gtErrorMsg As String
Public glFieldLen As Long

Public gtDelimiter As String
Public giPositionStart As String
Public giPositionEnd As String
Public giFieldLength As Integer

'  CompactDB
Public giFF As Integer
Public glLof1 As Long
Public glLof2 As Long
Public gtTempDatabaseName As String
Public gtDatabasePath As String

'  Convert Baux
Public gtParentCallSign As String

'  WriteCall
Public giFieldNo As Integer

'  WriteStatus
Public gtActionText As String

'  frmCnvIbfs
Public gtAppIniFileName As String
Public gtInputDataTableMain As String
Public gtOutputPathAndFilename As String
Public gtInputFilePath As String
Public gtCompactMdbFile As String
Public gtOutputPathAndFilenameName As String
Public giPos As Integer
Public gtPath2App As String
Public giFldDataFF As Integer
Public giNumFields As Integer
Public giBadDataFF As Integer

' RuralRouteTest
Public giNBegin As Integer
Public giNEnd As Integer
Public n%
Public gtTmpStreet As String
Public gtPOCode(100) As String
Public gtPOString(100) As String
Public gtNotPOBString(20) As String
Public giPocCnt As Integer
Public giFN As Integer

'  POBoxDrawer
Public giPOPos As Integer
Public giLenTmpStreet As Integer
Public gtTmpPOCode As String
Public gtTmpPOBOut As String
Public giN As Integer
Public giTmpFlag As Integer
Public gtTmpStreetIn As String
Public gtTmpStreetOut As String

'  WriteLice
Public gtAddressKey As String
Public gtLiceName As String
Public gtLiceStreet1 As String
Public gtLiceStreet2 As String
Public gtLicePOB As String
Public gtLiceCity As String
Public gtLiceState As String
Public gtLiceZipCode As String
Public gtLiceCountry As String
Public gtLicePhone As String
Public gtLiceContact As String
Public gtLiceType As String
Public gtLiceFaxNum As String
Public gtLiceEmail As String
Public gtLiceAttn As String
Public gtLiceFrn As String



'  Frequency Table
Public gtFrequencyLower As String, gdFrequencyLower As Double
Public gtFrequencyUpper As String, gdFrequencyUpper As Double
Public gtFrequencyLowerPre As String
Public gtFrequencyUpperPre As String

Public gdFreqC As Double
Public gdFreqL As Double, gtFreqL As String
Public gdFreqU As Double, gtFreqU As String

Public gtEmission As String
Public gtEirp As String
Public gtPolarizationCode As String
Public gtDateFiled As String
Public gtDateExpire As String
Public gtFileNumber As String
Public gtSubsystemCode As String
Public gtStatusCode As String
Public gtAppTypeCode As String

Public giCnt As Integer

'  OpenDataBase
Public giCountsFF As Integer
Public gtTmpFileName As String
Public gtCountInputData As String

'  ParseInputData
Public giLenInputData As Integer
Public giFldCnt As Integer
Public giChrPos As Integer
Public giFldNum As Integer
Public giBeginPos As Integer
Public giWordLength As Integer

   
Public gtClassOfStationCode As String
   
'  ConvertDate
Public gtYY As String
Public gtMM As String
Public gtDD As String

'  frmModFileLoc
Public gtMwVerDateFile As String
Public gtMwVerDate As String

Public gtInputDate As String
Public gtOutputDate As String


'  Populate Site Table
Public gtSiteId As String
Public gtTowerReg As String
Public gtSiteStreet1 As String, gtSiteStreet2 As String
Public gtSiteCity As String
Public gtSiteCounty As String
Public gtSiteState As String
Public gtSiteLatDMS As String, gtSiteLonDMS As String
Public gtSiteLatSec As String, gtSiteLonSec As String
Public gdSiteLatSec As Double, gdSiteLonSec As Double
Public gtNadInd As String
Public gtSiteElevation As String, gdSiteElevation As Double
Public gtHeightBldgAgl As String
Public gtHeightMaxAgl As String
Public gtAntMfg As String
Public gtAntMod As String
Public gtAntGn As String
Public gtDiameter As String

Public gtAzimuthEast As String
Public gtAzimuthWest As String
Public gtElevationEast As String
Public gtElevationWest As String
Public gtFreqLimitLow As String
Public gtFreqLimitHigh As String
Public gtHorizMaxDensity As String
Public gtSatArcEast As String
Public gtSatArcWest As String
Public gtSatHemiEast As String
Public gtSatHemiWest As String
Public gtSatOrbitType As String
Public gtEnvironEffectSw As String

'  Populate Antenna Table

Public gdHeightMaxAgl As Double
Public gdHeightMaxAmsl As Double
Public gdHeightMaxARoof As Double
Public gdMaxInputPower As Double
Public gdMaxOutputEirp As Double

'  PopulateFrequencyTable
Public gdEirp As Double
Public gdEirpDensity As Double

'PopulateFreqTable
Public gtFreqKey As String
Public gtFreqKeyPre As String
Public gtChannelNum As String
Public gtTxFreqTol As String
Public gtEmissionDesignator1 As String
Public gtEmissionDesignator2 As String
Public gtEmissionDesignator3 As String
Public gtEmissionDesignator4 As String
Public giEmissionCnt As Integer
Public gtCarsEmissionCode As String
Public gtDigitalRate As String
Public gtDigitalMod As String
Public gtTxOutputPwr As String
Public gtTxLineLoss As String
Public gtTxEirp As String
Public gtDateFirstUse As String
Public gtAppFileNum As String
Public gtLastEffDate As String
Public gtLastConDate As String
Public gtOrphanFlag As String
Public giFreqRangeFlag As Integer

'PopulateMffTables, Space and Terresterial
Public gtCallSign As String, gtCallSignPre As String
Public gtFilingState As String
Public gtPathSiteKey As String
Public gtPathSiteKeyPre As String
Public gtPathAntKey As String
Public gtPathAntKeyPre As String
Public gtLocationKey As String
Public gtAntennaKey As String
Public giCntPath As Integer
Public gtSiteKey As String
Public giCntSite As Integer
Public giCntAnt As Integer

Public glFilingKey As Long, glFilingKeyPre As Long
Public glSiteKey As Long, glSiteKeyPre As Long
Public glAntennaKey As Long, glAntennaKeyPre As Long
Public glFrequencyKey As Long, glFrequencyKeyPre As Long
Public gtTransMode As String, gtTransModePre As String
Public gtTransModeFix As String, gtTransModeFixPre As String


Public glFreqRecCnt As Long
Public gtLicenseeIdKey As String
Public gtLiceDBA As String

' SiteTx & SiteRx

Public gtTxAntMfg As String, gtTxAntMod As String
Public gtRxAntMfg As String, gtRxAntMod As String
Public gtTxAntGn As String, gtRxAntGn As String

Public gtRadSvc As String
Public gtNatureOfServiceCode As String
Public gtTxStationClass As String
Public gtRxClassStation As String

Public glPtcommKey As Long
Public glSpaceStationKey As Long

Public gtUsName As String
Public gtItuName As String
Public gtOrbitLocation As String
Public gtVerbose As String
Public gtInactiveDate As String

Public gtCompactDbMsg As String
Public gtActionTextMsg As String

Public gtTxTowerReg As String
Public gtTxLocationKey As String
Public gtTxAntennaKey As String
Public gtTxCall As String


Public gtRxTowerReg As String
Public gtRxLocationKey As String
Public gtRxAntennaKey As String
Public gtRxCall As String
Public gtRxStationClass As String

Public gtTxAntHgt As String
Public gsTxAntHgt As Single
Public gtRxAntHgt As String
Public gsRxAntHgt As Single

Public gtTxAntSize As String
Public gtRxAntSize As String

Public gtDiameterMinor As String
Public gtDiameterMajor As String
Public gtHeightMaxAmsl As String

Public gtDateQueued As String
Public DateWithdrew As String
Public QueueFlag As String
Public gtRedlight As String


Public gtFrequencyLowerDisplay As String
Public gtFrequencyUpperDisplay As String
Public gtUnitOfMeasure As String

Public gtAreaOfOperationCode As String
Public gtFaaCoordNotReqSw As String
Public gtComply25211Sw As String

Public gtLongHemi As String

Public gtTxEsCoordFlag As String
Public gtRxEsCoordFlag As String
Public giTxEsCoordCnt As Integer
Public giRxEsCoordCnt As Integer

Public giEmissionFlag As Integer

Public gdFrequency As Double
Public gtFrequency As String

Public gtLiceEinFrnTablePath As String
Public dbJetEinFrnTable As Database
Public rsEinFrnTable As Recordset
Public rsLiceEinFrn As Recordset
Public gtEinKey As String
Public glFrnKey As Long
Public gtEntityName As String
Public gtEntityOrg As String
Public gtEntityType As String
Public gtEntitySubType As String
Public gtStreet1 As String
Public gtStreet2 As String
Public gtPOBox As String
Public gtCity As String
Public gtState As String
Public gtZipCode As String
Public gtZip As String
Public gtZip4 As String
Public gtInputSource As String
Public gtRegDt As String
Public gtUpdDt As String


Public gtTwrLocMdbFileA As String
Public gtTwrLocMdbFileB As String
Public gtTwrLocMdbFileC As String
Public gtTwrLocMdbFileD As String
Public gtTwrLocMdbFileE As String
Public gtTxLatDMS As String
Public gtTxLonDMS As String
Public gtTowerSiteInfo1 As String
Public gtTowerSiteInfo2 As String
Public gtTowerSiteInfo3 As String
Public gtTowerSiteInfo4 As String
Public giTowerRegFlag As Integer
Public glAntSite_CountA As Long

'Public glSiteKey As Long
'Public glFilingKey As Long
'Public gtSiteId As String
Public gtSiteDescription As String
Public gtContactPerson As String
'Public gtSiteStreet1 As String
'Public gtSiteStreet2 As String
'Public gtSiteCity As String
'Public gtSiteCounty As String
'Public gtSiteState As String
Public gtSiteZipcode As String
Public gtSiteTelephone As String
'Public gtSiteElevation As String
'Public gtSiteLatDMS As String
'Public gtSiteLatSec As String
'Public gtSiteLonDMS As String
'Public gtSiteLonSec As String
'Public gtNadInd As String
Public gtNumVsatsBuilt As String
Public gtVsatReportDate As String
Public gtFaaCoordSw As String
Public gtComply25209aSw As String
Public gtomply25209a2Sw As String
Public gtRemoteControlSw As String
Public gtForeignFreqCoordReqSw As String
Public gtFreqCoordReqSw As String
'Public gtAreaOfOperationCode As String
'Public gtFaaCoordNotReqSw As String
'Public gtComply25211Sw As String
Public gtTowerSiteKey As String
Public gtTowerFlag As String

Public gtTxGrEl As String
Public gtTxHgtStructure As String
Public gtTxHgtToTip As String
Public gtTxStructureType As String
Public gtLocationState As String
Public gtLocationCounty As String
Public gtLocationCity As String
Public gtLocationAddress As String
Public gsRadiusOfOperation As Single
Public gtLocationTypeCode As String
Public gtLocationClassCode As String
Public gtTxLatDMSHi As String
Public gtTxLonDMSHi As String
Public gtSiteAntSiteKey As String
Public gtSiteTowerReg As String
Public gtTxAreaOfOpCode As String
Public gtTxRadOfOp As String

Public gtSiteStreet As String     '  80)
Public gtSiteCountry As String    '  5)
Public gtSiteFipsCode As String
Public gtSiteDatum As String   '  6)
Public gtSiteNepa As String   '  1)
Public gtSiteAreaOfOpCode As String    '  1)
Public gtSiteRadOfOp As String     '  6)
Public gtSiteGrEl As String  '  8)
Public gtSiteHgtStructure As String     '  8)
Public gtSiteHgtToTip As String    '  8)

Public gtRxAreaOfOpCode As String
Public gtRxRadOfOp As String

Public gtTxAntSiteKey As String    '  10
Public gtTxTowerSiteKey As String    '  10
Public gtRxAntSiteKey As String    '  10
Public gtRxTowerSiteKey As String    '  10
Public gtNadValue As String

Public gtAntSiteDb As String
Public gtAntSiteKey As String

Public gtLatDMS As String
Public gtLonDMS As String
Public gtDatum As String
Public gtRegistrationNumber As String
Public gtLatSec As String
Public gtLonSec As String
Public gtGrEl As String
Public gtHgtStructure As String
Public gtHgtToTip As String
Public gtStructureType As String
Public gtLatDMSHi As String
Public gtLonDMSHi As String

Public gtContactPhoneNum As String
Public gtMsg1 As String
Public gtGroup As String
Public gtStatusDate As String
Public gtAddressFrn As String
Public gtContactFrn As String

Public giAddressFlag As Integer
Public giContactFlag As Integer
Public gtFccRegNum As String
Public gtCsFnKeyPre As String
Public gtFrnKey As String
Public giCallSignCnt As Integer

Public gtCsFnKey As String
Public gtOutputData As String

Public gtFccRadSvc As String

Public gtTxClassStation As String
Public rsFreqList As Recordset
Public gtFreqC As String

Public gtTemp As String
Public glCallSignLen As Long

Public gtCountry As String
Public gtEmailAddress As String
Public gtTelephoneNumber As String



