VERSION 5.00
Begin VB.Form frmMkMffDbS 
   Caption         =   "Make Master Frequency File Database Shell (MkMffDbS)"
   ClientHeight    =   2520
   ClientLeft      =   2175
   ClientTop       =   2580
   ClientWidth     =   6600
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2520
   ScaleWidth      =   6600
   Begin VB.Frame fraAction 
      Caption         =   "Action: "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   735
      Left            =   120
      TabIndex        =   3
      Top             =   1320
      Width           =   3135
      Begin VB.Label lblAction 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H000000FF&
         Height          =   375
         Left            =   240
         TabIndex        =   4
         Top             =   240
         Width           =   2655
      End
   End
   Begin VB.Frame fraTableName 
      Caption         =   "Table Name: "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   735
      Left            =   3360
      TabIndex        =   2
      Top             =   1320
      Width           =   3135
      Begin VB.Label lblTableName 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H000000FF&
         Height          =   375
         Left            =   240
         TabIndex        =   5
         Top             =   240
         Width           =   2655
      End
   End
   Begin VB.Frame fraDBName 
      BackColor       =   &H80000000&
      Caption         =   "Data Base Name:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   735
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   6375
      Begin VB.Label lblDataBaseName 
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H000000FF&
         Height          =   255
         Left            =   240
         TabIndex        =   1
         Top             =   360
         Width           =   5895
      End
   End
End
Attribute VB_Name = "frmMkMffDbS"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'  Workspace object
Dim wsJet As Workspace

'  Database object
Dim dbNew As Database
Dim db As Database

'  Table object
Dim TblNew As TableDef
Dim tblExisting As TableDef

'  Field object
Dim FldNew As Field

'  Index object
Dim idxNew0 As Index
Dim idxNew1 As Index
Dim idxNew2 As Index
Dim idxNew3 As Index
Dim idxNew4 As Index
Dim idxNew5 As Index
Dim idxNew6 As Index
Dim idxNew7 As Index


Sub Form_Load()

    '  frmMkMffDbS
    
    Me.Left = (Screen.Width - Me.Width) / 2
    Me.Top = (Screen.Height - Me.Height) / 2

    'frmstatus.lblStatus.Caption = "Building the Data Base structure !"
    frmMkMffDbS.Show
    lblDataBaseName.Caption = ""
    lblTableName.Caption = ""
    lblAction.Caption = ""
    'lblVersionDate.Caption = "2008.07.14"


    Refresh

    Const Attr_Normal = 0
    '  add test to see if file is in use error = 75
    gtFilename = LCase$(Dir$(gtOutputPathAndFilename, Attr_Normal))
    If (Len(Trim(gtFilename)) > 0) Then
        Kill (gtOutputPathAndFilename)
    End If

    '  ==> NOTE: Convert 'gt Output Mdb File' to 'gt Output Path And Filename' <==
    '  ==> NOTE: Convert 'gt OutputMdbFile' to 'gt OutputPathAndFilename' <==
    '  ==> NOTE: Convert 'gtOutputPathAndFilename' to 'gtOutputPathAndFilename' <==
    
    '  Create Workspace
    Set wsJet = DBEngine.Workspaces(0)
    
    '  Create Master Frequency File datebase shell
    Set dbJet = wsJet.CreateDatabase(gtOutputPathAndFilename, dbLangGeneral)
    dbJet.Close
    '  Open database
    Set dbJet = wsJet.OpenDatabase(gtOutputPathAndFilename)
    '
    lblDataBaseName.Caption = (gtOutputPathAndFilename)
    lblTableName.Caption = ""
    lblAction.Caption = ""
    
    '  ==>  Add System tables to database shell  <==
    Call CreateProcessLogTable
    Call CreateDataSourceTable

    '  ==>  Add Master Frequency File (MFF) tables to database shell  <==
    Call CreateLiceTable
    Call CreateCommunity
    Call CreateFreqTable

    Call CreateFreqListTable

    Call CreateEquipTxRxTable
    Call CreatePathRecordTable
    Call CreateAreaOfOperation
    Call CreateUnitsCounts
    Call CreateSiteInfoTable
    Call CreateAntMainTable
    Call CreateAntPrTable
    Call CreateAntDivTable
    Call CreateAntRefTable
    Call CreateSiteCoordTable
    
    'Call CreateSiteTxTable
        'Call CreateAntTxTable
        'Call CreateAntTxDivTable
        'Call CreateAntTxRefTable
        'Call CreateSiteEsCoordTable
    'Call CreateSitePr1Table
        'Call CreateAntPr1Table
    'Call CreateSitePr2Table
        'Call CreateAntPr2Table
    'Call CreateSitePr3Table
        'Call CreateAntPr3Table
    'Call CreateSitePr4Table
        'Call CreateAntPr4Table
    'Call CreateSiteRxTable
        'Call CreateAntRxTable
        'Call CreateAntRxDivTable
        'Call CreateAntRxRefTable
        'Call CreateSiteRxCoordTable
    
    Call CreateSiteMkTable
    Call CreateSiteSat

    Call CreateSpcCndTable
    Call CreateSpcCndAntTable
    Call CreateSpcCndFreqTable
    Call CreateSpcCndLiceTable
    Call CreateSpcCndSiteTable

    'Call CreateFccCommentsTable

    Call CreateBrdcstInfoTable
    Call CreateBrdcstIndexTable

    Call CreateSpaceStationIndex
    
    Call CreateMfgModList
    
    Call CreateLiceEinFrn
    
    Call CreateSiteTowerArray
    Call CreateSiteTower

    Call CreateCommOfLicTable
    
    dbJet.Close
    Set dbJet = Nothing
    wsJet.Close
    Set wsJet = Nothing
    '
    lblDataBaseName.Caption = ""
    lblTableName.Caption = ""
    lblAction.Caption = ""
    frmMkMffDbS.Hide
    'Unload frmMkMffDbS
    'frmstatus.lblStatus.Caption = ""
    DoEvents

End Sub    '  Form_Load   frmMkMffDbS

Sub CreateProcessLogTable()    '  MFF
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Process Log Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("ProcessLog")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ActionCounter", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ActionText", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CurrentDateTime", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MdbSize", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InputFileSize", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RecordsProcessed", dbLong)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxActionCounter")
        idxNew1.Fields = "ActionCounter"
        TblNew.Indexes.Append idxNew1
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateProcessLogTable

Sub CreateDataSourceTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Data Source Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("DataSource")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ExportDatabase", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ExportDate", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ExportTime", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxExportDatabase")
        idxNew1.Fields = "ExportDatabase"
        TblNew.Indexes.Append idxNew1
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateDataSourceTable

Sub CreateLiceTable()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Lice Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("Lice")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("LicenseeIdKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("GrpFrn", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FccRegNum", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceTin", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceName", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceDBA", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceStreet2", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceStreet1", dbText, 60)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicePOB", dbText, 40)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceZipCode", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceCountry", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicePhone", dbText, 14)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceFax", dbText, 14)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceEmail", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceAttn", dbText, 35)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LiceType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityType", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxLicenseeIdKey")
        idxNew1.Fields = "LicenseeIdKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLiceName")
        idxNew2.Fields = "LiceName"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxFccRegNum")
        idxNew3.Fields = "FccRegNum"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxGrpFrn")
        idxNew4.Fields = "GrpFrn"
        TblNew.Indexes.Append idxNew4
    
    'Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateLiceTable

Sub CreateCommunity()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Community Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("Community")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FacilityId", dbLong)    '  Int
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CommCity", dbText, 20)    '  City
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CommState", dbText, 2)    '  State
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFacilityId")
        idxNew1.Fields = "FacilityId"
        TblNew.Indexes.Append idxNew1
    
    'Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateCommunity

Sub CreateSpcCndTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Spc Cnd Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SpcCnd")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("CsFnKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpecCond", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxCsFnKey")
        idxNew1.Fields = "CsFnKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSpcCndTable

Sub CreateSpcCndLiceTable()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Spc Cnd Lice Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SpcCndLice")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("CsFnKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpecCond", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxCsFnKey")
        idxNew1.Fields = "CsFnKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSpcCndLiceTable

Sub CreateSpcCndSiteTable()    '  MFF
       
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Spc Cnd Site Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SpcCndSite")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpecCond", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSpcCndSiteTable

Sub CreateSpcCndAntTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Spc Cnd Ant Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SpcCndAnt")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpecCond", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSpcCndAntTable

Sub CreateSpcCndFreqTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Spc Cnd Freq Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SpcCndFreq")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FreqKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpecCond", dbMemo)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFreqKey")
        idxNew1.Fields = "FreqKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSpcCndFreqTable

Sub CreateFreqTable()    '  MFF
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Freq Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("Freq")

    '  Create Fields
    Set FldNew = TblNew.CreateField("FreqKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CsFnKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("FacilityId", dbLong)    '  Int
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LicenseeIdKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("WebIndexKey", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("FccRegNum", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
      Set FldNew = TblNew.CreateField("UniqueSystemIdentifier", dbLong)
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("FreqC", dbDouble)    '  Carrier Freq (MHz)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqL", dbText, 17)  '  Lower Freq
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqU", dbText, 17)  '  Upper Freq
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HoursOfOperation", dbText, 1)    '  AM stations only
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("BandEdgeSplit", dbText, 1)  '  A flag indicated that a Band Edge to Edge assignment has been split into individual channels
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqUseSecondary", dbInteger)  '  Frequency use secondary
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqUseStaDev", dbInteger)  '  Frequency use STA or Developmental
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ChannelNum", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FacilityZone", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EmissionDesignator1", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EmissionDesignator2", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EmissionDesignator3", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EmissionDesignator4", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CarsEmissionCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("TxClassStation", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxClassStation", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    
    Set FldNew = TblNew.CreateField("EquipKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxEquipMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxEquipMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxFreqTol", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DigitalRate", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DigitalMod", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxOutputPwr", dbText, 8)    '  Watts
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxOutputPwrUnit", dbText, 1)    '  Watts
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLineLoss", dbText, 7)    ' dB
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntInputPwr", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntInputPwrUnit", dbText, 1)    '  W, K, M
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxEirp", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxEirpUnit", dbText, 1)    '  W, K, M
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxErp", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxErpUnit", dbText, 1)    '  W, K, M
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntPlr", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("RxSigLevel", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxLineLoss", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateApp", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateFirstUse", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateIssue", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DateExpire", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AppFileNum", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LastEffDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LastConDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FccRadSvc", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FccDbSys", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RulePartElig", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StatusCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CntMobileUnits", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CntMobilePagers", dbLong)
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("ControlPhone", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFreqC")
        idxNew1.Fields = "FreqC"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLicenseeIdKey")
        idxNew2.Fields = "LicenseeIdKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew3.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxFreqKey")
        idxNew4.Fields = "FreqKey"
        TblNew.Indexes.Append idxNew4
    Set idxNew5 = TblNew.CreateIndex("idxCsFnKey")
        idxNew5.Fields = "CsFnKey"
        TblNew.Indexes.Append idxNew5
    Set idxNew5 = TblNew.CreateIndex("idxFccRegNum")
        idxNew5.Fields = "FccRegNum"
        TblNew.Indexes.Append idxNew5

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents
    
End Sub    '  CreateFreqTable

Sub CreateEquipTxRxTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Tx/Rx Equipment Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("EquipTxRx")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FreqKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EquipKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EquipJoin", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EquipMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EquipMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxFreqTol", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFreqKey")
        idxNew1.Fields = "FreqKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxEquipKey")
        idxNew2.Fields = "EquipKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxEquipJoin")
        idxNew3.Fields = "EquipJoin"
        TblNew.Indexes.Append idxNew3

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateEquipTxRxTable


Sub CreatePathRecordTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Path Record Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("PathRecord")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FacIdNum", dbLong)
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("TxAntSiteKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("TxTowerSiteKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("TxTowerReg", dbText, 10)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("TxLocationKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxStationClass", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxEsCoordFlag", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("TxAreaOfOpCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxRadOfOp", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("Pr1AntSiteKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr1TowerSiteKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr1TowerReg", dbText, 10)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr1LocationKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("Pr2AntSiteKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr2TowerSiteKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr2TowerReg", dbText, 10)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr2LocationKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("Pr3AntSiteKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr3TowerSiteKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr3TowerReg", dbText, 10)
    '     FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr3LocationKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("Pr4AntSiteKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr4TowerSiteKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr4TowerReg", dbText, 10)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("Pr4LocationKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("RxAntSiteKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("RxTowerSiteKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("RxTowerReg", dbText, 10)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("RxLocationKey", dbText, 20)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxStationClass", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxEsCoordFlag", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("RxAreaOfOpCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxRadOfOp", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("MkLocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MarketType", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    
    Set idxNew2 = TblNew.CreateIndex("idxTxAntSiteKey")
        idxNew2.Fields = "TxAntSiteKey"
        TblNew.Indexes.Append idxNew2
    
    Set idxNew3 = TblNew.CreateIndex("idxTxAntennaKey")
        idxNew3.Fields = "TxAntennaKey"
        TblNew.Indexes.Append idxNew3

    Set idxNew4 = TblNew.CreateIndex("idxRxAntSiteKey")
        idxNew4.Fields = "RxAntSiteKey"
        TblNew.Indexes.Append idxNew4
    Set idxNew5 = TblNew.CreateIndex("idxRxAntennaKey")
        idxNew5.Fields = "RxAntennaKey"
        TblNew.Indexes.Append idxNew5

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreatePathRecordTable

Sub CreateAreaOfOperation()
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Area Of Operation Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AreaOfOperation")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("TxLatDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLatSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxHorizDatum", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AreaOfOpCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RadOfOp", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
        idxNew2.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew2

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAreaOfOperation


Sub CreateUnitsCounts()
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Units Counts Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("Units Counts Table")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UnitsHandHeld", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UnitsMobile", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UnitsTempFixed", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UnitsAircraft", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UnitsItinerant", dbInteger)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
        idxNew2.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateUnitsCounts

Sub CreateSiteInfoTable()
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Info Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteInfo")
    
    '  Create Fields
    
    Set FldNew = TblNew.CreateField("AntSiteKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StructureOwner", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerArrayFlag", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("StructureType", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Name", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Street", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("County", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Country", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LatSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LonSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HorizDatum", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Nepa", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("GrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("StatusDate", dbText, 8)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Flag_1", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxAntSiteKey")
        idxNew1.Fields = "AntSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxStructureOwner")
        idxNew2.Fields = "StructureOwner"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxTowerReg")
        idxNew3.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew3

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSiteInfoTable


Sub CreateSiteTxTable()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Tx Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteTx")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FacIdNum", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxStructureType", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxClassStation", dbText, 4)    '  Fr
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxStreet", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCounty", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCountry", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxFipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLatDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLatSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxLonSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxHorizDatum", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxNepa", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAreaOfOpCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxRadOfOp", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxGrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxHgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxHgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsHandHeld", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsMobile", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsTempFixed", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsAircraft", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsItinerant", dbInteger)
    '    TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
        idxNew2.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxTowerReg")
        idxNew3.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxFacIdNum")
        idxNew4.Fields = "FacIdNum"
        TblNew.Indexes.Append idxNew4
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSiteTxTable

Sub CreateSiteSat()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Satellite Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteSat")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatOrbitType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
        ' from freq_coord.sat_orbit_type
        ' where "G" = geostationary / "N" = non-geostationary
    Set FldNew = TblNew.CreateField("OrbitLocation", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
        ' from space_station.orbit_location
    Set FldNew = TblNew.CreateField("UsName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
        ' from space_station.us_name

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSiteSatellite

Sub CreateAntMainTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Ant Main  Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntMain")

    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CallSign", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("AntHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntHaat", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntPlr", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntAzi", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntGn", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntBw", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntSize", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
        idxNew3.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntMainTable

Sub CreateAntTxTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Ant Tx Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntTx")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("TxAntHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntPlr", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntAzi", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntGn", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntBw", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxAntSize", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
        idxNew3.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntTxTable

Sub CreateAntDivTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Ant Div Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntDiv")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CallSign", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("DivHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DivMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DivMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DivRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DivGn", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("DivBw", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
        idxNew3.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntDivTable

Sub CreateAntTxDivTable()
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Ant Tx Div Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntTxDiv")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("TxDivHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxDivMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxDivMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxDivRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxDivGn", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxDivBw", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
        idxNew3.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntTxDivTable

Sub CreateAntRefTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Ant Ref Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntRef")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CallSign", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("RefTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RefSep", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RefW", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RefH", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
        idxNew3.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntRefTable

Sub CreateAntTxRefTable()
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Ant Tx Ref Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntTxRef")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("TxRefTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxRefSep", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxRefW", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxRefH", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
        idxNew3.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntTxRefTable

Sub CreateSiteCoordTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site ES Coord Table"
    DoEvents
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteEsCoord")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Seq", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CallSign", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AzimuthEast", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AzimuthWest", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ElevationEast", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ElevationWest", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqLimitLow", dbText, 17)  '  xxxxxxxx.xxxxxxxx (MHz)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqLimitHigh", dbText, 17)  '  xxxxxxxx.xxxxxxxx (MHz)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HorizMaxDensity", dbText, 6)  '  xxxx.x
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatArcEast", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatArcWest", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatHemiEast", dbText, 1)  '  x
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatHemiWest", dbText, 1)  '  x
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatOrbitType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
    '    idxNew2.Fields = "LocationKey"
    '    TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSiteCoordTable


Sub CreateSiteEsCoordTable()    '  (Uls only)

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Tx Coord Table"
    DoEvents
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteEsCoord")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Seq", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AzimuthEast", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AzimuthWest", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ElevationEast", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ElevationWest", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqLimitLow", dbText, 17)  '  xxxxxxxx.xxxxxxxx (MHz)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqLimitHigh", dbText, 17)  '  xxxxxxxx.xxxxxxxx (MHz)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HorizMaxDensity", dbText, 6)  '  xxxx.x
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatArcEast", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatArcWest", dbText, 6)  '  xxx.x (deg)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatHemiEast", dbText, 1)  '  x
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatHemiWest", dbText, 1)  '  x
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatOrbitType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
    '    idxNew2.Fields = "LocationKey"
    '    TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSiteEsCoordTable


Sub CreateSiteRxTable()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "SiteRx Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteRx")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FacIdNum", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxStructureType", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxClassStation", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxStreet", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxCounty", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxCountry", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxFipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxLatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxLatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxLonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxLonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxLatDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxLatSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxLonDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxLonSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxHorizDatum", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAreaOfOpCode", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxRadOfOp", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxNepa", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxGrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxHgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxHgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsHandHeld", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsMobile", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsTempFixed", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsAircraft", dbInteger)
    '    TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("UnitsItinerant", dbInteger)
    '    TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("BaseStationLocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew


    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew1 = TblNew.CreateIndex("idxLocationKey")
        idxNew1.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew3 = TblNew.CreateIndex("idxTowerReg")
        idxNew3.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSiteRxTable

Sub CreateAntRxTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "AntRx Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntRx")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("RxAntHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntPlr", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntAzi", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntGn", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntBw", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxAntSize", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
        idxNew3.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntRxTable

Sub CreateAntRxDivTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Ant Rx Div Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntRxDiv")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("RxDivHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxDivMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxDivMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxDivRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxDivGn", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxDivBw", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
        idxNew3.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntRxDivTable

Sub CreateAntRxRefTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Ant Rx Ref Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntRxRef")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
   
    Set FldNew = TblNew.CreateField("RxRefTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxRefSep", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxRefW", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxRefH", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxAntennaKey")
        idxNew2.Fields = "AntennaKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
        idxNew3.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateAntRxRefTable

Sub CreateSiteRxCoordTable()    '  Uls only

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Rx Coord Table"
    DoEvents
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteRxCoord")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Seq", dbInteger)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AzimuthEast", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AzimuthWest", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ElevationEast", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ElevationWest", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqLimitLow", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FreqLimitHigh", dbText, 17)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    'Set FldNew = TblNew.CreateField("HorizMaxDensity", dbText, 6)
    '    FldNew.AllowZeroLength = True
    '    TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatArcEast", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatArcWest", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatHemiEast", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatHemiWest", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SatOrbitType", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
    '    idxNew2.Fields = "LocationKey"
    '    TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSiteRxCoordTable

Sub CreateSitePr1Table()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "SitePr1 Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SitePr1")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1StructureType", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1Name", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1Street", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1County", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1Country", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1FipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1LatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1LatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1LonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1LonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1HorizDatum", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1GrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1HgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1HgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
        idxNew2.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxTowerReg")
        idxNew3.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub     '  CreateSitePr1Table

Sub CreateAntPrTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "AntPr Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntPr")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrAntHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrAntPlr", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrAntAzi", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrAntTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrAntMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrAntMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrAntRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrBackToBackTxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrBackToBackRxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrAntH", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PrAntW", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew1 = TblNew.CreateIndex("idxAntennaKey")
    '    idxNew1.Fields = "AntennaKey"
    '    TblNew.Indexes.Append idxNew1
    'Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
    '    idxNew3.Fields = "LocationKey"
    '    TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents
    
End Sub    '  CreateAntPrTable

Sub CreateAntPr1Table()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "AntPr1 Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntPr1")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntPlr", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntAzi", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1BackToBackTxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1BackToBackRxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntH", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr1AntW", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew1 = TblNew.CreateIndex("idxAntennaKey")
    '    idxNew1.Fields = "AntennaKey"
    '    TblNew.Indexes.Append idxNew1
    'Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
    '    idxNew3.Fields = "LocationKey"
    '    TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAntPr1Table

Sub CreateSitePr2Table()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "SitePr2 Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SitePr2")

    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2StructureType", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2Name", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2Street", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2County", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2Country", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2FipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2LatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2LatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2LonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2LonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2HorizDatum", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2GrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2HgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2HgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
        idxNew2.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxTowerReg")
        idxNew3.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSitePr2Table

Sub CreateAntPr2Table()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "AntPr2 Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntPr2")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntPlr", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntAzi", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2BackToBackTxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2BackToBackRxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntH", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr2AntW", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew1 = TblNew.CreateIndex("idxAntennaKey")
    '    idxNew1.Fields = "AntennaKey"
    '    TblNew.Indexes.Append idxNew1
    'Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
    '    idxNew3.Fields = "LocationKey"
    '    TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAntPr2Table

Sub CreateSitePr3Table()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "SitePr3 Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SitePr3")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3StructureType", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3Name", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3Street", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3County", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3Country", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3FipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3LatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3LatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3LonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3LonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3HorizDatum", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3GrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3HgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3HgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
        idxNew2.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxTowerReg")
        idxNew3.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSitePr3Table

Sub CreateAntPr3Table()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "AntPr3 Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntPr3")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntPlr", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntAzi", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3BackToBackTxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3BackToBackRxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntH", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr3AntW", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew1 = TblNew.CreateIndex("idxAntennaKey")
    '    idxNew1.Fields = "AntennaKey"
    '    TblNew.Indexes.Append idxNew1
    'Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
    '    idxNew3.Fields = "LocationKey"
    '    TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAntPr3Table

Sub CreateSitePr4Table()    '  MFF
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "SitePr4 Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SitePr4")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TowerReg", dbText, 7)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4StructureType", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4Name", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4Street", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4County", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4Country", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4FipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4LatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4LatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4LonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4LonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4HorizDatum", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4GrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4HgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4HgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
        idxNew2.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxTowerReg")
        idxNew3.Fields = "TowerReg"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSitePr4Table

Sub CreateAntPr4Table()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "AntPr4 Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("AntPr4")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathAntKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("AntennaKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntHgt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntPlr", dbText, 3)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntAzi", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntTlt", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntMfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntMod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntRPE", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4BackToBackTxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4BackToBackRxDishGain", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntH", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Pr4AntW", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathAntKey")
        idxNew1.Fields = "PathAntKey"
        TblNew.Indexes.Append idxNew1
    'Set idxNew1 = TblNew.CreateIndex("idxAntennaKey")
    '    idxNew1.Fields = "AntennaKey"
    '    TblNew.Indexes.Append idxNew1
    'Set idxNew3 = TblNew.CreateIndex("idxLocationKey")
    '    idxNew3.Fields = "LocationKey"
    '    TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateAntPr4Table

Sub CreateSiteMkTable()

    '  Market Area
    
    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "SiteMk Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteMk")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("LocationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkCall", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FacIdNum", dbLong)
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("MkTypeCode", dbInteger)
        TblNew.Fields.Append FldNew
        ' 0 = site specific only
        ' 1 = point-radius
        ' 2 = BTA
        ' 3 = MTA
    
    Set FldNew = TblNew.CreateField("MarketCode", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MarketDesc", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MarketType", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("MkName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkStreet", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkCounty", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkCountry", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkFipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkLatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkLatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkLonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkLonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkLatDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkLatSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkLonDMSHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkLonSecHi", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkHorizDatum", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MkRadius", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxLocationKey")
        idxNew2.Fields = "LocationKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxFacIdNum")
        idxNew3.Fields = "FacIdNum"
        TblNew.Indexes.Append idxNew3
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSiteMkTable

Sub CreateBrdcstInfoTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Broadcast Info Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("BrdcstInfo")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("ParentFacIdNum", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentCallSign", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentName", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentClassStation", dbText, 4)    '  Fr
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentLatDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentLatSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentLonDMS", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentLonSec", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxParentFacIdNum")
        idxNew1.Fields = "ParentFacIdNum"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxParentCallSign")
        idxNew2.Fields = "ParentCallSign"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents
     
End Sub    '  CreateBrdcstInfoTable

Sub CreateBrdcstIndexTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Broadcast Index Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("BrdcstIndex")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("FccRegNum", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CsFnKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentFacIdNum", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("ParentCallSign", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxCsFnKey")
        idxNew1.Fields = "CsFnKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxParentFacIdNum")
        idxNew2.Fields = "ParentFacIdNum"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxParentCallSign")
        idxNew3.Fields = "ParentCallSign"
        TblNew.Indexes.Append idxNew3
    Set idxNew4 = TblNew.CreateIndex("idxFccRegNum")
        idxNew4.Fields = "ParentCallSign"
        TblNew.Indexes.Append idxNew4
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateBrdcstIndexTable

Sub CreateSpaceStationIndex()    '  MFF

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Space Station Index Table"
    Me.Refresh
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SpaceStationIndex")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SpaceStationKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxSpaceStationKey")
        idxNew2.Fields = "SpaceStationKey"
        TblNew.Indexes.Append idxNew2
    
    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh

End Sub    '  CreateSpaceStationIndex


Sub CreateMfgModList()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Mfg Mod List Table"
    DoEvents

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("MfgModList")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("EquipAntFlag", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("MfgMod", dbText, 50)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Mfg", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Mod", dbText, 25)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxMfgMod")
        idxNew1.Fields = "MfgMod"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxMfg")
        idxNew2.Fields = "Mfg"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxMod")
        idxNew3.Fields = "Mod"
        TblNew.Indexes.Append idxNew3

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh

    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateMfgModList

Sub CreateLiceEinFrn()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Lice Ein Frn Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("LiceEinFrn")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("EinKey", dbText, 9)    '  a.ein
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FrnKey", dbLong)    '  a.frn
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityName", dbText, 150)    '  entity_nm
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityOrg", dbText, 150)    '  entity_rep_organization
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntityType", dbText, 150)    '  entity_type_long_nm
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EntitySubType", dbText, 120)    '  bus_entity_type_long_nm
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Street1", dbText, 150)    '  street1
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Street2", dbText, 150)    '  street2
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("PoBox", dbText, 65)    '  po_box
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbText, 60)    '  city
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("State", dbText, 30)    '  state_long_nm
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Zip", dbText, 10)    '  zip
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("Country", dbText, 4)    '  Country
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("EmailAddress", dbText, 60)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TelephoneNumber", dbText, 60)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("InputSource", dbText, 20)    '  src_system_short_nm
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("RegDt", dbText, 8)    '  reg_dt
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("UpdDt", dbText, 8)    '  upd_dt
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("CallSignCnt", dbLong)
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxEinKey")
        idxNew1.Fields = "EinKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxFrnKey")
        idxNew2.Fields = "FrnKey"
        TblNew.Indexes.Append idxNew2
    Set idxNew3 = TblNew.CreateIndex("idxEntityName")
        idxNew3.Fields = "EntityName"
        TblNew.Indexes.Append idxNew3

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateLiceEinFrn


Sub CreateSiteTowerArray()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Tower Array Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteTowerArray")
    
    '  Create Fields
    Set FldNew = TblNew.CreateField("PathSiteKey", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteAntSysId", dbLong)
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FccRadSvc", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HoursOfOperation", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Reference Coordinates

    '  NAD 83

    Set FldNew = TblNew.CreateField("SiteRefLatDMS83", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteRefLatSec83", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteRefLonDMS83", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteRefLonSec83", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  NAD 27

    Set FldNew = TblNew.CreateField("SiteRefLatDMS27", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteRefLatSec27", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteRefLonDMS27", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteRefLonSec27", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 1
    Set FldNew = TblNew.CreateField("SiteTower01", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg01", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 2
    Set FldNew = TblNew.CreateField("SiteTower02", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg02", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 3
    Set FldNew = TblNew.CreateField("SiteTower03", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg03", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 4
    Set FldNew = TblNew.CreateField("SiteTower04", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg04", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 5
    Set FldNew = TblNew.CreateField("SiteTower05", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg05", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 6
    Set FldNew = TblNew.CreateField("SiteTower06", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg06", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 7
    Set FldNew = TblNew.CreateField("SiteTower07", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg07", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 8
    Set FldNew = TblNew.CreateField("SiteTower08", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg08", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 9
    Set FldNew = TblNew.CreateField("SiteTower09", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg09", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 10
    Set FldNew = TblNew.CreateField("SiteTower10", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg10", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 11
    Set FldNew = TblNew.CreateField("SiteTower11", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg11", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 12
    Set FldNew = TblNew.CreateField("SiteTower12", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg12", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Tower 13
    Set FldNew = TblNew.CreateField("SiteTower13", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg13", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxPathSiteKey")
        idxNew1.Fields = "PathSiteKey"
        TblNew.Indexes.Append idxNew1
    Set idxNew2 = TblNew.CreateIndex("idxSiteAntSysId")
        idxNew2.Fields = "SiteAntSysId"
        TblNew.Indexes.Append idxNew2

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSiteTowerArray


Sub CreateSiteTower()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Site Tower Table"
    DoEvents
    
    '  Create Table
    Set TblNew = dbJet.CreateTableDef("SiteTower")
    
    '  Create Fields

    Set FldNew = TblNew.CreateField("SiteTower", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteTowerReg", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("HoursOfOperation", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    Set FldNew = TblNew.CreateField("SiteStructureType", dbText, 9)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteClassStation", dbText, 4)    '  Fr
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteName", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteStreet", dbText, 80)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteCity", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteCounty", dbText, 30)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteState", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteCountry", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteFipsCode", dbText, 5)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  NAD 83
    Set FldNew = TblNew.CreateField("SiteLatDMS83", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLatSec83", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLonDMS83", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLonSec83", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    '  NAD 27
    Set FldNew = TblNew.CreateField("SiteLatDMS27", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLatSec27", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLonDMS27", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteLonSec27", dbText, 10)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    
    Set FldNew = TblNew.CreateField("SiteNepa", dbText, 1)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteGrEl", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteHgtStructure", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("SiteHgtToTip", dbText, 6)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxSiteTower")
        idxNew1.Fields = "SiteTower"
        TblNew.Indexes.Append idxNew1
    
    Set idxNew2 = TblNew.CreateIndex("idxSiteTowerReg")
        idxNew2.Fields = "SiteTowerReg"
        TblNew.Indexes.Append idxNew2
    
    'Set idxNew3 = TblNew.CreateIndex("idxEntityName")
    '    idxNew3.Fields = "EntityName"
    '    TblNew.Indexes.Append idxNew3
    'Set idxNew4 = TblNew.CreateIndex("idxInputSource")
    '    idxNew4.Fields = "InputSource"
    '    TblNew.Indexes.Append idxNew4
    'Set idxNew5 = TblNew.CreateIndex("idxRegDt")
    '    idxNew5.Fields = "RegDt"
    '    TblNew.Indexes.Append idxNew5
    'Set idxNew6 = TblNew.CreateIndex("idxUpdDt")
    '    idxNew6.Fields = "UpdDt"
    '    TblNew.Indexes.Append idxNew6

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    DoEvents

End Sub    '  CreateSiteTower

Sub CreateCommOfLicTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Community of License Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("CommOfLic")
    
    '  Create Fields
        
    Set FldNew = TblNew.CreateField("AntSiteKey", dbText, 15)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("State", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("City", dbText, 20)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew

    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxAntSiteKey")
        idxNew1.Fields = "AntSiteKey"
        TblNew.Indexes.Append idxNew1

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh


End Sub    '  CreateCommOfLicTable

Sub CreateFreqListTable()

    lblAction.Caption = "Creating Tables . . . ."
    lblTableName.Caption = "Freq List Table"
    Me.Refresh

    '  Create Table
    Set TblNew = dbJet.CreateTableDef("FreqList")
    
    '  Create Fields
        
    Set FldNew = TblNew.CreateField("FreqListKey", dbText, 28)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("Freq", dbText, 18)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("FccRadSvc", dbText, 2)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("TxClassStation", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
    Set FldNew = TblNew.CreateField("RxClassStation", dbText, 4)
        FldNew.AllowZeroLength = True
        TblNew.Fields.Append FldNew
        Set FldNew = TblNew.CreateField("FreqCnt", dbLong)
        TblNew.Fields.Append FldNew


    '  Create Indexes
    Set idxNew1 = TblNew.CreateIndex("idxFreqListKey")
        idxNew1.Fields = "FreqListKey"
        TblNew.Indexes.Append idxNew1

    '  Tie together
    dbJet.TableDefs.Append TblNew
    dbJet.TableDefs.Refresh
    '
    lblAction.Caption = ""
    lblTableName.Caption = ""
    Me.Refresh


End Sub    '  CreateFreqListTable

