VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmModFileLoc 
   Caption         =   "CnvIbfs -- Modify File Locations"
   ClientHeight    =   4095
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6825
   LinkTopic       =   "Form1"
   ScaleHeight     =   4095
   ScaleWidth      =   6825
   Begin VB.CommandButton cmdModFileLoc 
      Caption         =   "Accept"
      Height          =   375
      Left            =   5520
      TabIndex        =   2
      Top             =   3480
      Width           =   1095
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   240
      Top             =   3480
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Frame fraOutputPathAndFilename 
      Caption         =   "Output MDB File: "
      ForeColor       =   &H00FF0000&
      Height          =   975
      Left            =   240
      TabIndex        =   1
      Top             =   1200
      Width           =   6375
      Begin VB.CommandButton cmdOutputPathAndFilename 
         Caption         =   "Browse"
         Height          =   375
         Left            =   5400
         TabIndex        =   4
         Top             =   360
         Width           =   855
      End
      Begin VB.Label lblOutputPathAndFilename 
         Caption         =   "lblOutputMDBFile"
         ForeColor       =   &H000000FF&
         Height          =   375
         Left            =   360
         TabIndex        =   6
         Top             =   360
         Width           =   4815
      End
   End
   Begin VB.Frame fraInputDataTableOfContents 
      Caption         =   "Input Data Table of Contents: "
      ForeColor       =   &H00FF0000&
      Height          =   975
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   6375
      Begin VB.CommandButton cmdInputDataTableMain 
         Caption         =   "Browse"
         Height          =   375
         Left            =   5400
         TabIndex        =   3
         Top             =   360
         Width           =   855
      End
      Begin VB.Label lblInputDataTableMain 
         Caption         =   "lblInputDataTableMain"
         ForeColor       =   &H000000FF&
         Height          =   375
         Left            =   240
         TabIndex        =   5
         Top             =   360
         Width           =   5055
      End
   End
End
Attribute VB_Name = "frmModFileLoc"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdInputDataTableMain_Click()
    
    'On Error Resume Next
    
    gtFilter = "Input data (main.dat) | *.dat"
    CommonDialog1.DialogTitle = "Select the 'Counts' from the Microwave data set!"
    CommonDialog1.FileName = gtInputDataTableMain
    CommonDialog1.Filter = gtFilter
    CommonDialog1.Action = 1  ' open

    If (Err = 53) Then
        MsgBox "File not found"
        gtInputDataTableMain = gtInputDataTableMain
    Else
        gtInputDataTableMain = LCase$(Trim$(CommonDialog1.FileName))
    End If
    
    Err.Clear

    gtFileTitle = Trim(CommonDialog1.FileTitle)

    gtSection = "InputFiles"
    gtItemName = "TableMain"
    gtItemValue = gtInputDataTableMain
    glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

    lblInputDataTableMain.Caption = gtInputDataTableMain

End Sub

Private Sub cmdModFileLoc_Click()
    
    'If (Trim(gtOutputPathAndFilename) = Trim(gtCompactMdbFile)) Then
    '    gtMsg = "The 'Compact Mdb File' name can not be the same as 'Output File' Name"
    '    giX = MsgBox(gtMsg, (vbYesNoCancel + vbCritical + vbDefaultButton3 + vbApplicationModal))
    'End If
    
    Select Case giResponse
        Case Is = 6   'vbYes
            'MsgBox "Yes"
            End
        Case Is = 7   'vbNo
            MsgBox "No"
        Case Is = 2   'vbCancel
            MsgBox "Cancel"
    End Select

    'gtIniFileName = gtAppIniFileName
    gtSection = "InputFiles"
        gtItemName = "TableMain"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtInputDataTableMain = gtBuffer
        giPos = InStr(1, gtInputDataTableMain, "main.dat", 1)
        gtInputFilePath = Mid(gtInputDataTableMain, 1, (giPos - 1))
    gtSection = "OutputFiles"
        gtItemName = "OutputPathAndFilename"
        gtDefault = "NONE"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtOutputPathAndFilename = Trim(gtBuffer)
        gtOutputPathAndFilename = Mid(gtOutputPathAndFilename, 1, (Len(gtOutputPathAndFilename) - 1))
        frmModFileLoc.lblOutputPathAndFilename = gtOutputPathAndFilename
    gtSection = "TempFiles"
        gtItemName = "CompactMdbFile"
        gtBuffer = Space$(100)
        glBufferSize = 100
        glGetIni = GetPrivateProfileString(gtSection, gtItemName, gtDefault, gtBuffer, glBufferSize, gtIniFileName)
        gtCompactMdbFile = gtBuffer

    frmModFileLoc.Hide

End Sub

Private Sub cmdOutputPathAndFilename_Click()
    
    'On Error Resume Next
    
    gtFilter = "Assignment Data Base (ibfsdb.mdb) | *.mdb"
    CommonDialog1.DialogTitle = "Select a name for the assignment database!"
    CommonDialog1.FileName = gtOutputPathAndFilename
    CommonDialog1.Filter = gtFilter
    CommonDialog1.Action = 1  ' open
    
    If (Err = 32755) Then
        gtOutputPathAndFilename = gtOutputPathAndFilename
    Else
        gtOutputPathAndFilename = LCase$(Trim$(CommonDialog1.FileName))
    End If

    Err.Clear

    gtFileTitle = Trim(CommonDialog1.FileTitle)
    
    gtSection = "OutputFiles"
    gtItemName = "OutputPathAndFilename"
    gtItemValue = gtOutputPathAndFilename
    lblOutputPathAndFilename.Caption = gtOutputPathAndFilename
    glWriteIni = WritePrivateProfileString(gtSection, gtItemName, gtItemValue, gtIniFileName)

End Sub

Private Sub Form_Load()

    Me.Left = (Screen.Width - Me.Width) / 2
    Me.Top = (Screen.Height - Me.Height) / 2

    frmModFileLoc.Hide

End Sub
